%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}

%define build_sys_rootcerts 1
%{?_without_sys_rootcerts: %{expand: %%global build_sys_rootcerts 0}}

%define name_orig	qca
%define qtcryptodir	%{qt4plugins}/crypto
%define lib_major	2
%define lib_name	%mklibname %{name_orig} %{lib_major}
%define source_ver	%{version}


Name: qca2
Version: 2.2.1
Release: %mkrel 3
License: LGPL
Summary: Straightforward and cross-platform crypto API for Qt
Group: System/Libraries
URL: http://delta.affinix.com/qca
Source0: http://delta.affinix.com/download/qca/%{version}/beta7/%{name_orig}-%{source_ver}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel >= 4.2
%if %{build_sys_rootcerts}
BuildRequires: rootcerts
%endif
BuildRequires: cmake
BuildRequires: libgcrypt-devel
BuildRequires: libsasl-devel
BuildRequires: nss-devel
BuildRequires: qt4-devel

%description
The QCA library provides an easy API for a range of cryptographic
features, including SSL/TLS, X.509 certificates, SASL, symmetric
ciphers, public key ciphers, hashes and much more.

Functionality is supplied via plugins. This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin. Also, by pushing crypto functionality into
plugins, applications are free of legal issues, such as export
regulation.

%files
%defattr(0644,root,root,0755)
%doc README COPYING INSTALL TODO
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_mandir}

#------------------------------------------------------------------------------

%if ! %{build_sys_rootcerts}
%package -n %{name}-root-certificates
Summary:	Common root CA certificates for QCA
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description	-n %{name}-root-certificates
Provides root Certificate Authority certificates for the QCA library.
These certificates are the same ones that are included in Mozilla.

%files -n %{name}-root-certificates
%defattr(0644,root,root,0755)
%dir %{qt4dir}/share/qca
%dir %{qt4dir}/share/qca/certs
%doc %{qt4dir}/share/qca/certs/README
%{qt4dir}/share/qca/certs/rootcerts.pem
%endif

#------------------------------------------------------------------------------

%package	-n %{lib_name}
Summary:	Libraries for QCA
Group:		System/Libraries
%if %{build_sys_rootcerts}
Requires:	rootcerts
Obsoletes:	%{name}-root-certificates
%else
Requires:	%{name}-root-certificates >= %{version}
%endif
Obsoletes:	%{lib_name}-static-devel 

%description	-n %{lib_name}
Libraries for QCA.

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%files -n %{lib_name}
%defattr(0644,root,root,0755)
%dir %{qtcryptodir}
%defattr(0755,root,root,0755)
%{qt4lib}/libqca.so.*
%{_libdir}/qca/crypto/*.so

#------------------------------------------------------------------------------

%package	-n %{lib_name}-devel
Summary:	Development files for QCA
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{lib_name}-devel
Development files for QCA.

%files	-n %{lib_name}-devel
%defattr(0644,root,root,0755)
%{_libdir}/pkgconfig/qca2.pc
%{qt4dir}/mkspecs/features/crypto.prf
%{qt4lib}/libqca.so
%{_libdir}/cmake/Qca/*
%dir %{_qt4_includedir}/QtCrypto
%{_qt4_includedir}/QtCrypto/*

#------------------------------------------------------------------------------
%prep
%setup -q -n %{name_orig}-%{source_ver}
%apply_patches

%build
%cmake_qt4 -DQT4_BUILD:BOOL=ON \
           -DQCA_FEATURE_INSTALL_DIR:PATH=%{_qt4_prefix}/mkspecs/features

%make


%install
rm -rf %{buildroot}
cd build

make DESTDIR=%buildroot install

# Make directory for plugins
install -d -m 755 %{buildroot}/%{qtcryptodir}



%clean
rm -rf %buildroot


%changelog
* Sat Sep 12 2020 tex - 2.2.1-3pclos2020
- rebuild against updates

* Tue Jun 16 2020 tex - 2.2.1-2pclos2020
- rebuild against updates

* Fri Apr 26 2019 tex - 2.2.1-1pclos2019
- new version: 2.2.1

* Wed Jan 16 2019 tex - 2.1.3-2pclos2019
- rebuild against updates

* Sun Aug 27 2017 bb2 <bb2> 2.1.3-1pclos2017
- new version

* Wed May 03 2017 ghostbunny <ghostbunny at gmx dot de> 2.1.1-2pclos2017
- rebuild against new libgcrypt

* Sat Mar 05 2016 bb <bb> 2.1.1-1pclos2016
- update for openssl

* Sat Apr 26 2014 bb <bb> 2.0.3-3pclos2014
- update

* Fri Apr 24 2014 bb <bb> 2.0.2-2pclos2014
- rebuild new openssl

* Tue Sep 14 2010 Texstar <texstar at gmail.com> 2.0.2-1pclos2010
- new ssl

* Fri May 01 2009 Texstar <texstar@gmail.com> 2.0.1-1pclos2009
- 2.0.1

* Tue Jan 15 2008 Texstar <texstar@gmail.com> 2.0.0-1pclos2007
- import into pclos from Nicolas Lécureuil needed for kde4

